.prod-category {
    --border: 1px solid #ddd;
    --base-font-family: "Helvetica", sans-serif;
    --title-font-family: "Yanone Kaffeesatz", sans-serif;
    --limited: #ffa726;
    --available: #4caf50;
    --not-available: #e30a17;
    --current-status: var(--available);
    background-color: #fff;
    border-radius: 0.5rem;
    padding: 0 1.25rem;
    overflow: hidden;
    box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075);
}

.prod-category > :not(:last-child) {
    border-bottom: var(--border);
}

.prod-category__header {
    padding: 0.75rem 1.25rem;
}

.prod-category__title {
    display: block;
    font-family: var(--title-font-family);
    font-size: 2.25rem;
    font-weight: 400;
    line-height: 1;
    margin: 0;
    text-align: center;
}

.prod-category__subtitle {
    display: block;
    margin-top: 0.5rem;
    text-align: center;
    color: #5c6b79;
    line-height: 1.2;
}

.prods-container {
    display: flex;
    flex-direction: column;
}

.prods-container > .prod:not(:last-child) {
    border-bottom: var(--border);
}

.prod {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    padding: 1.25rem 0;
    gap: 0.75rem 1.5rem;
}

.prod__col {
    padding: 0;
}

.prod__title {
    font-family: var(--title-font-family);
    font-size: 1.25rem;
    line-height: 1.125;
    margin: 0;
}

.prod__img {
    width: 100px;
    height: 100%;
    object-fit: contain;
}

.prod__status {
    display: none;
    flex-direction: column;
    gap: 0.25rem;
}

.prod.available .prod__status.available,
.prod.not-available .prod__status.not-available,
.prod.limited .prod__status.limited {
    display: flex;
}

.prod__status.limited {
    --current-status: var(--limited);
}

.prod__status.not-available {
    --current-status: var(--not-available);
}

.prod__status.not-available .prod__status__text {
    color: var(--current-status);
}

.prod__status__content {
    display: flex;
    align-items: center;
    column-gap: 0.25rem;
}

.prod__status__icon {
    font-size: 1.5rem;
    color: var(--current-status);
}

.prod__status__text {
    display: block;
    font-family: var(--base-font-family);
    font-size: 0.875rem;
    line-height: 1.125;
    color: #666;
}

.prod__status__progress {
    height: 5px;
    border-radius: 50rem;
    color: var(--current-status);
}

.prod__status__progress .prod__status__progress__value {
    color: inherit;
    background-color: currentColor;
}

.prod__cta {
    display: none;
}

.prod.available .prod__cta.available,
.prod.limited .prod__cta.available,
.prod.not-available .prod__cta.not-available {
    display: block;
}

.prods-container.prods-container--dynamic-order > .prod.available {
    order: 0;
}

.prods-container.prods-container--dynamic-order > .prod.limited {
    order: 1;
}

.prods-container.prods-container--dynamic-order > .prod.not-available {
    order: 2;
}

.prod.not-available .prod__img {
    opacity: 0.5;
}

.prod.not-available .prod__status__icon {
    display: none;
}

.prod-category__footer {
    border-top: var(--border);
    padding: 1rem 1.25rem;
    display: flex;
    justify-content: center;
}

@media (max-width: 767.98px) {
    .prod-category {
        padding: 0 0.85rem;
    }

    .prod-category__title {
        font-size: 1.95rem;
    }
}
